igeo

## Class IBool

- java.lang.Object
- - igeo.IParameterObject
  - - igeo.IBool

- All Implemented Interfaces:
    IBoolI, IBoolOp, IEntityParameter, IParameter, IScalar, ISubobject, IVal

      public class IBool
      extends IParameterObject
      implements IBoolI, IEntityParameter

  Entity class of boolean to be used as IParameterObject.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `x`

    - ### Fields inherited from class igeo.IParameterObject

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IBool()` default constructor doesn't instantiate parent IGElement
    `IBool(boolean i)`
    `IBool(IBool i)`
    `IBool(IBoolI i)`
    `IBool(IServerI s)` constructor with IServerI instantiates parent IGElement
    `IBool(IServerI s, boolean i)`
    `IBool(IServerI s, IBool i)`
    `IBool(IServerI s, IBoolI i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IBool` | `and(boolean v)`
    `IBool` | `and(IBool v)`
    `IBool` | `and(IBoolI v)`
    `IBool` | `cp()` alias of dup()
    `IBool` | `dup()`
    `boolean` | `eq(IBoolI v)`
    `boolean` | `eq(ISwitchE e, IBoolI v)`
    `IBool` | `eq(ISwitchR r, IBoolI v)`
    `IBool` | `get()`
    `IBool` | `getX()`
    `IBool` | `not()`
    `IBool` | `or(boolean v)`
    `IBool` | `or(IBool v)`
    `IBool` | `or(IBoolI v)`
    `IBool` | `set(boolean v)`
    `IBool` | `set(IBool v)`
    `IBool` | `set(IBoolI v)` convert reference tree to one constant value
    `boolean` | `x()`

    - ### Methods inherited from class igeo.IParameterObject

      `createObject, parent, parent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public boolean x

  - ### Constructor Detail

    - #### IBool

          public IBool()

      default constructor doesn't instantiate parent IGElement

    - #### IBool

          public IBool(boolean i)

    - #### IBool

          public IBool(IBool i)

    - #### IBool

          public IBool(IBoolI i)

    - #### IBool

          public IBool(IServerI s)

      constructor with IServerI instantiates parent IGElement

    - #### IBool

          public IBool(IServerI s,
                       boolean i)

    - #### IBool

          public IBool(IServerI s,
                       IBool i)

    - #### IBool

          public IBool(IServerI s,
                       IBoolI i)

  - ### Method Detail

    - #### x

          public boolean x()

      Specified by:
        `x` in interface `IBoolI`
      Specified by:
        `x` in interface `IBoolOp`
      Returns:
        primitive value

    - #### get

          public IBool get()

      Specified by:
        `get` in interface `IBoolI`
      Specified by:
        `get` in interface `IBoolOp`
      Specified by:
        `get` in interface `IParameter`
      Returns:
        fixed value but in wrapper class

    - #### getX

          public IBool getX()

      Specified by:
        `getX` in interface `IBoolI`
      Returns:
        generic parameter of the value (either of entity class or reference class) (in one dimensional data, it's same with the instance itself)

    - #### dup

          public IBool dup()

      Specified by:
        `dup` in interface `IBoolI`
      Returns:
        duplicated instance

    - #### cp

          public IBool cp()

      Description copied from interface: `IBoolI`
      alias of dup()
      Specified by:
        `cp` in interface `IBoolI`

    - #### set

          public IBool set(IBoolI v)

      Description copied from interface: `IBoolI`
      convert reference tree to one constant value
      Specified by:
        `set` in interface `IBoolI`

    - #### set

          public IBool set(IBool v)

    - #### set

          public IBool set(boolean v)

      Specified by:
        `set` in interface `IBoolI`

    - #### and

          public IBool and(IBoolI v)

      Specified by:
        `and` in interface `IBoolI`

    - #### and

          public IBool and(IBool v)

    - #### and

          public IBool and(boolean v)

      Specified by:
        `and` in interface `IBoolI`

    - #### or

          public IBool or(IBoolI v)

      Specified by:
        `or` in interface `IBoolI`

    - #### or

          public IBool or(IBool v)

    - #### or

          public IBool or(boolean v)

      Specified by:
        `or` in interface `IBoolI`

    - #### not

          public IBool not()

      Specified by:
        `not` in interface `IBoolI`

    - #### eq

          public boolean eq(IBoolI v)

      Specified by:
        `eq` in interface `IBoolI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IBoolI v)

      Specified by:
        `eq` in interface `IBoolI`

    - #### eq

          public IBool eq(ISwitchR r,
                          IBoolI v)

      Specified by:
        `eq` in interface `IBoolI`